Subject: Re: How To Export NFS?
From: Peter Rehley <[email-masked]>
To: Baurjan Ismagulov <[email-masked]>
Cc: [email-masked]
Date: Mon, 31 May 2004 00:00:36 -0700

I'm going start off by stating the obvious.  After starting the 
daemons, make sure that they are really running.  After the mount do 
the check again.  Make sure that you can ping the box you want to 
access.

Try removing the broadcast and submask from the exports file.

If everything seems to be running, then stop the daemons and start them 
again with debugging turned on.  You'll need two bash windows opened 
for this.
rpc.mountd -F -d all
rpc.nfsd -F -d all

This will run the commands in the foreground and show all messages.  If 
you don't need all messages don't use -d all.

When running as a back ground process, you can check the log messages 
in the Event Viewer or /var/log/*.log

On your linux machine, check the log files also.

If you already got this to work.. Good job, what did you do.

Peter

On May 14, 2004, at 6:26 AM, Baurjan Ismagulov wrote:

> Hello, Jack!
>
> On Thu, 13 May 2004, Jack Polimer wrote:
>> I'm trying to export an NFS filesystem under cygwin to
>> a Linux machine on the same network, but I get"
>> # mount -t nfs 10.0.0.1:/etc /mnt
>> mount: RPC: Timed out
>
> The client is not getting anything from the remote portmapper. Try
> "rpcinfo -p 10.0.0.1" and "showmount -e 10.0.0.1". If this does not
> help, investigate with tcpdump/ethereal on both ends.
>
> With kind regards,
> Baurjan.
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>
>
=====

Infinity Softworks.  Making scientific, financial and realtor 
calculators for Palm Pilots and other PDAs since 1997

Visit them today at http://www.infinitysw.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/